# SourcePath: electric-fence/20140916dev
Summary: Electric Fence kind of malloc() debugger
Name: sony-target-devtool-electric-fence
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-devtool-electric-fence
Version: 2.1.13
Release: 08020601
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://perens.com/works/software/ElectricFence/
Source0: electric-fence_%{version}-0.1.tar.gz

Patch0:  electric-fence-2.1.13-test.patch
Patch1:  electric-fence-sony-env-dev.patch
Patch2:  electric-fence-devtool-non-PIC-armv7.patch
Patch3:  electric-fence-time-interval-measurement-dev.patch
Patch4:  electric-fence-time-interval-dynamic-abort-test-dev.patch
Patch5:  electric-fence-timer-flag-check-added-for-thread-creation-fix-dev.patch
Patch6:  electric-fence-2.1.13-pthread-dependency.patch
Patch7:  electric-fence-2.1.13-add-dynamic-library-tests.patch
Patch8:  electric-fence-posix-memalign.patch
Patch9:  electric-fence-2.1.13-multithread-fix.patch
Patch10: elfence-add-multithread-tests.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Electric Fence is a different kind of malloc() debugger.
It uses the virtual memory hardware of system to detect
when software overruns the boundaries of a malloc() buffer.

%package -n %{pkgname}
Summary: Electric Fence kind of malloc() debugger
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Electric Fence is a different kind of malloc() debugger.
It uses the virtual memory hardware of system to detect
when software overruns the boundaries of a malloc() buffer.

%prep
%setup -q -n electric-fence-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%sony_target_dev_setup
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_target_dir}/%{sony_target_devtool_lib_dir}

install -m 755 libefence.so %{buildroot}%{sony_target_dir}/%{sony_target_devtool_lib_dir}/libefence.so
install -m 755 libefence.a %{buildroot}%{sony_target_dir}/%{sony_target_devtool_lib_dir}/libefence.a

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(755,root,root)

%{sony_target_dir}/*

%changelog
* Wed Nov 20 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Sat Mar 07 2015 Sony Corporarion
- Added Multithread Test Case

* Tue Sep 16 2014 Sony Corporarion
- Fixed lock() function for multithread scenario

* Mon May 19 2014 Sony Corporarion
- Added posix_memalign() support

* Thu Mar 06 2014 Sony Corporation
- Add pthread library dependency to libefence.so
- Add libefence.so dynamic library tests also.

* Tue Jan 10 2012 Sony Corporation
- Add time-interval-measurement and dynamic abort support

* Mon Oct 04 2010 Sony Corporation
- Add -fPIC because of ARMv7

* Tue Apr 14 2009 Sony Corporation
- Change according to 6.X

* Wed Aug 13 2008 Sony Corporation
- Change name  to dev-electric-fence -> dev-electric-fence-for-dev

* Wed Aug 06 2008 Sony Corporation
- Initial build
